using Backend.ApplicationCore.Interfaces.IRepositories;
using Backend.Infrastructure.Repositories;
using Backend.Persistence.Config;
using Microsoft.Extensions.DependencyInjection;

namespace Backend.API.Config
{
    internal static class DependencyInjectionRepository
    {
        internal static IServiceCollection AddDataDependencyInjectionRepository(this IServiceCollection services)
        {
            services.AddScoped<IApplicationDatabaseContext, ApplicationDatabaseContext>();
            services.AddScoped<ICommandeRepository, CommandeRepository>();
            services.AddScoped<ILigneCommandeRepository, LigneCommandeRepository>();
            services.AddScoped<IProduitRepository, ProduitRepository>();
            services.AddScoped<IProprieteRepository, ProprieteRepository>();
            services.AddScoped<ITypeProprieteRepository, TypeProprieteRepository>();

            return services;
        }

    }
}
